Blame SOURCES/0028-tests-Fix-t1700-failing-on-a-host-with-a-4k-xfs-file.patch

003ee8
From 1fc0439a5bd27697fb5daa911f776de4a69e0ca3 Mon Sep 17 00:00:00 2001
003ee8
From: "Brian C. Lane" <bcl@redhat.com>
003ee8
Date: Mon, 29 Feb 2016 14:31:35 -0800
003ee8
Subject: [PATCH 28/28] tests: Fix t1700 failing on a host with a 4k xfs
003ee8
 filesystem (#1260664)
003ee8
003ee8
The problem is that mkfs.xfs won't work if the file it is trying to
003ee8
create is on a filesystem with a sector size larger than the passed
003ee8
-ssize value. So a host with 4k disks (eg. s390) and the xfs filesystem
003ee8
will fail with the error message:
003ee8
    illegal sector size 512; hw sector is 4096
003ee8
003ee8
Failures setting up the environment for the test aren't parted bugs.
003ee8
This stops treating mkfs and dd errors as test failures, skipping the fs
003ee8
and logging a warning.
003ee8
003ee8
Related: rhbz#1260664
003ee8
---
003ee8
 tests/t1700-probe-fs.sh | 12 ++++++------
003ee8
 1 file changed, 6 insertions(+), 6 deletions(-)
003ee8
003ee8
diff --git a/tests/t1700-probe-fs.sh b/tests/t1700-probe-fs.sh
003ee8
index 94ed9ae..b13cec0 100755
003ee8
--- a/tests/t1700-probe-fs.sh
003ee8
+++ b/tests/t1700-probe-fs.sh
003ee8
@@ -39,13 +39,13 @@ for type in ext2 ext3 ext4 btrfs xfs nilfs2 ntfs vfat hfsplus; do
003ee8
       hfsplus) fsname=hfs+;;
003ee8
   esac
003ee8
 
003ee8
-  # create an $type file system
003ee8
+  # create an $type file system, creation failures are not parted bugs,
003ee8
+  # skip the filesystem instead of failing the test.
003ee8
   if [ "$type" = "xfs" ]; then
003ee8
-      # Work around a problem with s390
003ee8
-      mkfs.xfs -ssize=$ss -dfile,name=$dev,size=${n_sectors}s || fail=1
003ee8
+      mkfs.xfs -ssize=$ss -dfile,name=$dev,size=${n_sectors}s || { warn_ "$ME: mkfs.$type failed, skipping"; continue; }
003ee8
   else
003ee8
-      dd if=/dev/null of=$dev bs=$ss seek=$n_sectors >/dev/null || fail=1
003ee8
-      mkfs.$type $force $dev || { warn_ $ME: mkfs.$type failed; fail=1; continue; }
003ee8
+      dd if=/dev/null of=$dev bs=$ss seek=$n_sectors >/dev/null || { warn_ "$ME: dd failed, skipping $type"; continue; }
003ee8
+      mkfs.$type $force $dev || { warn_ "$ME: mkfs.$type failed skipping"; continue; }
003ee8
   fi
003ee8
 
003ee8
   # probe the $type file system
003ee8
@@ -57,7 +57,7 @@ done
003ee8
 # Some features should indicate ext4 by themselves.
003ee8
 for feature in uninit_bg flex_bg; do
003ee8
   # create an ext3 file system
003ee8
-  dd if=/dev/null of=$dev bs=1024 seek=4096 >/dev/null || fail=1
003ee8
+  dd if=/dev/null of=$dev bs=1024 seek=4096 >/dev/null || skip_ "dd failed"
003ee8
   mkfs.ext3 -F $dev >/dev/null || skip_ "mkfs.ext3 failed"
003ee8
 
003ee8
   # set the feature
003ee8
-- 
003ee8
2.5.0
003ee8